monitor=,preferred,auto,auto

animations {
  enabled = yes, please :)

  bezier = wind, 0.05, 0.9, 0.1, 1.05
  bezier = winIn, 0.1, 1.1, 0.1, 1.1
  bezier = winOut, 0.3, -0.3, 0, 1
  bezier = liner, 1, 1, 1, 1
  bezier = overshot, 0.05, 0.9, 0.1, 1.05
  bezier = smoothOut, 0.5, 0, 0.99, 0.99
  bezier = smoothIn, 0.5, -0.5, 0.68, 1.5

  animation = windows, 1, 6, wind, slide
  animation = windowsIn, 1, 5, winIn, slide
  animation = windowsOut, 1, 3, smoothOut, slide
  animation = windowsMove, 1, 5, wind, slide
  animation = border, 1, 1, liner
  animation = borderangle, 1, 180, liner, loop
  animation = fade, 1, 3, smoothOut
  animation = workspaces, 1 , 5, overshot
  animation = workspacesIn, 1, 5, winIn, slide
  animation = workspacesOut, 1, 5, winOut, slide
}

master {
  new_status = master
}

misc {
  force_default_wallpaper = 0
  disable_hyprland_logo = true
  vrr = 1
}

gestures {
  workspace_swipe = true
}

$mainMod = SUPER

$terminal = kitty

bind = $mainMod, Return, exec, $terminal
bind = $mainMod SHIFT, Q, killactive,
bind = $mainMod SHIFT, R, exec, /usr/bin/start-eve
bind = $mainMod SHIFT, H, exec, kitty "/usr/bin/eveos-diagnose-startup"
bind = $mainMod, U, workspace, 99
bind = $mainMod, U, exec, kitty "/usr/bin/eveos-update"
bind = $mainMod, W, workspace, 98
bind = $mainMod, W, exec, kitty "/usr/bin/eveos-wifi"
bind = $mainMod, F, fullscreen
bind = $mainMod, B, workspace, 97
bind = $mainMod, B, exec, /usr/bin/eveos-bluetooth

exec-once = mpv --no-video /usr/share/boot.mp3
exec-once = dbus-update-activation-environment --all
exec-once = gnome-keyring-daemon --start --components=secrets,ssh
exec-once = systemctl --user restart eve-lite-relay
exec-once = /Applications/eve-lite.AppImage

general {
    gaps_in = 3
    gaps_out = 0

    border_size = 3

    col.active_border = rgba(33ff66ee) rgba(00e639ee) 45deg
    col.inactive_border = rgba(002208aa)
    resize_on_border = true
    allow_tearing = false
    layout = master
}

decoration {
    rounding = 10
    active_opacity = 1.0
    inactive_opacity = 0.95
}
